package com.maternalmall.repository;

import com.maternalmall.domain.Review;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface ReviewRepository extends JpaRepository<Review, Long> {
    List<Review> findByProductId(Long productId);
    List<Review> findByCustomerId(Long customerId);
    boolean existsByOrderIdAndProductIdAndCustomerId(Long orderId, Long productId, Long customerId);
}
